import * as asyncHandler from 'express-async-handler';
import * as szgcBiz from '../biz/getData';

export function setMiddleRoutes(httpServer) {
    httpServer.get('/szgc/getdata/getCurrentEventCount', asyncHandler((req, res) => szgcBiz.getData(req, res, 'getCurrentEventCount')));
    httpServer.get('/szgc/getdata/totalEventCount', asyncHandler((req, res) => szgcBiz.getData(req, res, 'totalEventCount')));
    httpServer.get('/szgc/getdata/allEvents', asyncHandler((req, res) => szgcBiz.getData(req, res, 'allEvents')));
}
